## org.eclipse.datatools.connectivity.oda.util.logging
Interface Filter

    public interface Filter

A Filter can provide more control on what is logged. It filters LogRecords from its parent handler based on the rules that are implemented in isLoggable().
Each Handler can have an associated Filter and calls the `isLoggable` method to check whether the `LogRecord` should be published.

Method Summary
`boolean` `isLoggable(LogRecord record)` Checks if the the `LogRecord` should be published.

Method Detail

### isLoggable

    boolean isLoggable(LogRecord record)

  Checks if the the `LogRecord` should be published.

  Parameters:
    `record` - the log record.
  Returns:
    `true` if the log record should be published; `false` otherwise.